////	$RCSfile: demo-constr.cpp,v $
////	$Date: 2011/09/26 22:42:04 $
////.BlockStart
class Animal {
    // ...
  public:
    Animal();			// default constructor
    Animal(int i);		// constructor
    Animal(const Animal &a);	// copy constructor
    // ...
};
////.BlockEnd

////.BlockStart
Animal global;			// #1 (static)

void Add2Cage(Animal arg);	// function prototype
////.BlockEnd

////.BlockStart
Animal myFunc()			// function returns Animal
{
    static Animal internal;	// #1 (static)
    Animal automatic;		// #2 (local)

    Add2Cage(automatic);	// #3 (call-by-value)

    Animal *pointer;		// only a pointer
    pointer = new Animal;	// #4 (dynamic allocation)
////.BlockEnd

////.BlockStart
    return 0;			// #5 (conversion)\**
}
////.BlockEnd

////.BlockStart
class Chimpanzee : public Animal {	// #6 (derivation)
    // ...
};

Chimpanzee cheetah;
////.BlockEnd

////.BlockStart
class Cage {
    Animal occupant;		// #7 (aggregation)
    // ...
};

Cage zoo[50];
////.BlockEnd
