////    $RCSfile: demo-dmem3.c,v $
////    $Date: 2011/09/26 22:42:04 $
////.BlockStart
#include <stdio.h>
#include <stdlib.h>	/* For realloc(), free() */
#include <string.h>	/* For strdup() */
#include "demo-dmem.h"

const int INCREMENT = 32;
////.BlockEnd

////.BlockStart
void add_string(MemBlock *mb, char buf[])
{
    if (mb->count >= mb->total) {
	/* Allocate another chunk of memory */
	mb->total += INCREMENT;
	mb->array = realloc(mb->array,
			    sizeof(char*) * mb->total);
	if (mb->array == 0) {
	    fprintf(stderr, "Out of memory!\n");
	    exit(1);
	}
    }
////.BlockEnd
////.BlockStart
    mb->array[ mb->count++ ] = strdup(buf);
    return;
}
////.BlockEnd
