////	$RCSfile: demo-new.cpp,v $
////	$Date: 2011/09/26 22:42:04 $
////.BlockStart
#include "animal2.h"
#include <list>		// linked list class from std

Animal *input_another()
{
    Animal *another = new Animal;

    // fill in data from user-input

    return another;
    // 'another' goes out of scope, but it's
    // contents are returned to the caller.
    // The new'd object DOES NOT go out of scope.
}
////.BlockEnd

////.BlockStart
int main()
{
    Animal *ptr;
    std::list<Animal*> zoo;	// zoo is a list of ptrs
    // ...
    while (1) {
	ptr = input_another();
	if (ptr == 0)
	    break;
	zoo.push_back(ptr);	// Add to end of list
    }
////.BlockEnd
    // ...
////.BlockStart
    // Create 'iter' variable to iterate through the list
    std::list<Animal*>::iterator iter;
    for (iter = zoo.begin(); iter != zoo.end(); iter++) {
	ptr = *iter;
	if (ptr == 0)
	    break;
	delete ptr;	// If we don't do this, it
    }			// won't be destroyed at all!
    return 0;
}
////.BlockEnd
