////	$RCSfile: record.h,v $
////	$Date: 2011/09/26 22:42:04 $
////.BlockStart
#ifndef _record_h
#define _record_h
////.BlockEnd

////.BlockStart
#include <iostream>
#include <iomanip>

using namespace std;
////.BlockEnd

////.di dummy
#ifdef __GNUC__		// Handle compiler differences
typedef std::ios_base::fmtflags fmtflags;
#else
typedef int fmtflags;
#endif // __GNUC__

////.di
////.BlockStart
struct Record {
    string name;
    string number;
    void Print() {
	fmtflags before;
	// This masks out the "justify" bits, then turns on
	// "left" (see the docs for "ios" for details).
	before = cout.setf(ios::left,
		 ios::left | ios::right | ios::internal);
	cout << setw(35) << name
	     << setw(15) << number << endl;
	cout.setf(before);
    }
};

#endif // _record_h
////.BlockEnd
