#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "rev1defs.h"

int main(int ac, char *av[])
{
    /* This program calculates the square root of the
     * the sum of all command line parameters.
     */
    float total = 0.0;
    float root;

    if (ac < 3) {	/* Less than 3 arguments? */
	fprintf(stderr, "Usage:  lab1conv ...\n");
	fprintf(stderr, "\tAt least two values must be provided.\n");
	exit(EXITSYN);
    }
    while (--ac > 0) {
	int number = atoi(av[ac]);	/* Convert strings to integers */
	total += number;
    }
    root = sqrt(total);
    printf("Square root of %f is %f.\n", total, root);
    return 0;
}
