////	$RCSfile: sllist.h,v $
////	$Date: 2011/09/26 22:50:50 $
////.BlockStart
#ifndef _sllist_h
#define _sllist_h
////.BlockEnd

////.BlockStart
// This would probably be done using templates in production
// code, but we often don't have time to teach about
// templates in the introductory course, so it's covered in
// detail in the Advanced C++ course.
//
class List {
    Record *data;	// contains the user data
    List *next;		// pointer to next item in list
  public:
    List(Record *val, List *to)
	  : data(val), next(to) { }
    List *GetNext()		{ return next; }
    Record *GetValue()		{ return data; }
    void SetNext(List *n)	{ next = n; }
};

#endif // _sllist_h
////.BlockEnd
