////    $RCSfile: animal3.cpp,v $
////    $Date: 2011/09/26 22:49:20 $
////.BlockStart
#include <iostream>	// For cout
#include <string>	// For strcpy() function
using namespace std;

#include "animal3.h"	// Get class declaration

//  Changes from Animal2.CPP:
//   Added an overloaded constructor
//   Added the MedicalHistory pointer
////.BlockEnd

////.BlockStart
Animal::Animal()		// Default Constructor
{
    nLegs = 2;
    sName = "(none)";
    mh = 0;
    cout << "Inside Animal::Animal()" << endl;
}
////.BlockEnd

////.BlockStart
Animal::Animal(short n, string name) // Constructor
{
    SetLegs(n);
    sName = name;
    mh = 0;
    cout << "Inside Animal::Animal(legs, name)" << endl;
}
////.BlockEnd

////.BlockStart
// Destructor
Animal::~Animal()
{
    // If we are referring to a MedicalHistory object, be
    // sure to free up the memory.
    if (mh != 0) {
	cout << "Freeing 'MedicalHistory' object" << endl;
	delete mh;
    }
    cout << "Inside Animal::~Animal()" << endl;
}
////.BlockEnd

////.BlockStart
void Animal::SetName(string name)
{
    sName = name;
}
////.BlockEnd

////.BlockStart
void Animal::SetHistory(MedicalHistory *m)
{
    // If we are referring to an existing MedicalHistory
    // object, free it up before assigning a new one.
    if (mh != 0)
	delete mh;
    mh = m;
}
////.BlockEnd

////.BlockStart
void Animal::SetLegs(short n)
{
    if (n >= 0)
	nLegs = n;
}
////.BlockEnd
