////.BlockStart
#ifndef _medicalhistory_h
#define _medicalhistory_h

#include <string>
#include <list>

class MedicalHistory {
  private:
    struct Event {
	short year, month, day;
	std::string description;

	// Constructor
	Event(short y, short m, short d, std::string desc) {
	    year = y;
	    month = m;
	    day = d;
	    description = desc;
	}
    };
    typedef MedicalHistory::Event Event;
    std::list<Event> history;
  public:
    void AddEvent(short y, short m, short dy, std::string d) {
	history.push_back( Event(y, m, dy, d) );
    }
    std::list<Event> Retrieve() { return history; }
};

#endif // _medicalhistory_h
////.BlockEnd
